Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0030281
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 04. Warehouse managementmajorhave not tried2015-06-29 14:002016-06-17 19:38
ReportershuehnerView Statuspublic 
Assigned ToSanjota 
PriorityurgentResolutionfixedFixed in Version3.0PR16Q3
StatusclosedFix in branchFixed in SCM revision0b8997369760
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toaferraz
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0030281: m_stock_proposed table should be added to log cleanup default configuration

DescriptionThat table has temporary data only which is not needed after the calling process has finished.

In newer version calling code should auto-cleanup after itself but in some cases that maybe does not work correctly.

i.e. external modules
bugs like: 30278

note: The rows should only be removed after all calling process finish. By having a config only deleting 15days or older that should indirectly be good enough as no process should be running that long without being itself a very very big problem.
Steps To Reproduce-
Proposed SolutionAdd m_stock_proposed table to log cleanup default config with 15 days retention similar to ad_pinstance
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0030280 closedranjith_qualiantech_com Retail Modules obmobc_logclient table is missing in the new Log Cleanup default config added to ERP in Q2 
related to defect 0030278 scheduledinigo_lerga Openbravo ERP Stock Proposed records not deleted on M_InOut_Create 

-  Notes
(0087068)
Sanjota (developer)
2016-06-07 16:36
edited on: 2016-06-08 17:16

Test Plan:

Added the table "m_stock_proposed" to log cleanup default config with 15 days retention.

(0087084)
hgbot (developer)
2016-06-08 10:53

Repository: erp/devel/pi
Changeset: 0b89973697609618bf92e03b3afe63fa16380d57
Author: Sanjota <sanjota.nelagi <at> promantia.com>
Date: Tue Jun 07 19:59:56 2016 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/0b89973697609618bf92e03b3afe63fa16380d57 [^]

Fixes issue 30281: m_stock_proposed added to log cleanup default configuration

m_stock_proposed table data should be cleaned up once the process is finished. So should add the same table to log cleanup default configuration.

---
M modules/org.openbravo.utility.cleanup.log/referencedata/standard/Log_Clean_Up_Default_Configuration.xml
---
(0087085)
aferraz (developer)
2016-06-08 10:56

Code review + Testing OK
(0087596)
hudsonbot (developer)
2016-06-17 19:38

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/0dc7be081b1c [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2015-06-29 14:00 shuehner New Issue
2015-06-29 14:00 shuehner Assigned To => Triage Finance
2015-06-29 14:00 shuehner Modules => Core
2015-06-29 14:00 shuehner Triggers an Emergency Pack => No
2015-06-29 14:00 shuehner Relationship added related to 0030280
2015-06-29 14:03 shuehner Relationship added related to 0030278
2016-06-02 18:53 ngarcia Issue Monitored: ngarcia
2016-06-02 18:55 ngarcia Priority normal => urgent
2016-06-06 12:01 aferraz Summary m_proposed_stock table should be added to log cleanup default configuration => m_stock_proposed table should be added to log cleanup default configuration
2016-06-06 12:01 aferraz Proposed Solution updated
2016-06-06 12:50 aferraz Assigned To Triage Finance => Sanjota
2016-06-07 16:36 Sanjota Note Added: 0087068
2016-06-07 16:36 Sanjota Status new => scheduled
2016-06-08 10:53 hgbot Checkin
2016-06-08 10:53 hgbot Note Added: 0087084
2016-06-08 10:53 hgbot Status scheduled => resolved
2016-06-08 10:53 hgbot Resolution open => fixed
2016-06-08 10:53 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/0b89973697609618bf92e03b3afe63fa16380d57 [^]
2016-06-08 10:56 aferraz Review Assigned To => aferraz
2016-06-08 10:56 aferraz Note Added: 0087085
2016-06-08 10:56 aferraz Status resolved => closed
2016-06-08 10:56 aferraz Fixed in Version => 3.0PR16Q3
2016-06-08 17:16 Sanjota Note Edited: 0087068 View Revisions
2016-06-17 19:38 hudsonbot Checkin
2016-06-17 19:38 hudsonbot Note Added: 0087596


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker